Axiomatic
Platform

Connections

Integration connection management and sync status

List connections or get sync summary

GET
/api/connections

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Query Parameters

entityId*string
Formatuuid
action?string

Optional action: summary for dashboard stats, logs/health for connection details, providers for available providers

Value in"summary" | "logs" | "health" | "providers"
connectionId?string

Required for logs and health actions

Formatuuid
limit?integer
Default20

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/connections?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "connections": [
    {}
  ]
}
{
  "error": "string"
}

Create, sync, update, or delete a connection

POST
/api/connections

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/connections" \  -H "Content-Type: application/json" \  -d '{    "action": "create",    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5"  }'
Empty
{
  "error": "string"
}
{
  "error": "string"
}